Lavalite package that provides grade management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepci/grade`.

    "litepci/grade": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepci\Grade\Providers\GradeServiceProvider::class,

And also add it to alias

    'Grade'  => Litepci\Grade\Facades\Grade::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepci\\GradeTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepci\Grade\Providers\GradeServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepci\Grade\Providers\GradeServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepci\Grade\Providers\GradeServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/grade/{modulename}

**User**

    http://path-to-route-folder/user/grade/{modulename}

**Public**

    http://path-to-route-folder/grades


### API endpoints

**List**

    http://path-to-route-folder/api/user/grade/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/grade/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/grade/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/grade/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/grade/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/grade/{modulename}/{slug}
    METHOD: GET